Subject: bug#3385: Bug calling patched appt-display-message

From: Glenn Morris <[email-masked]>
Date: Wed, 27 May 2009 20:49:29 -0400

tags 3385 =
stop

Davin Pearson wrote:

> I have narrowed down my code to the smallest possible file that
> reproduces the bug:
[long file]

I have to take issue with "smallest possible", since:

emacs -Q -f appt-activate

with a diary file:

----
Wednesday
 17:34 foo
 21:00 bar
----

is enough.

This is a problem introduced 3.5 years ago in rev 1.62 that I guess
has to wait for Emacs 23.2 to be fixed:

*** appt.el	5 Jan 2009 03:20:31 -0000	1.95
--- appt.el	28 May 2009 00:39:20 -0000
***************
*** 568,574 ****
                                   (match-end 0)))
                             ;; Get the whole string for this appointment.
                             (appt-time-string
!                             (substring time-string beg (if end (1- end))))
                             (appt-time (list (appt-convert-time only-time)))
                             (time-msg (list appt-time appt-time-string)))
                        ;; Add this appointment to appt-time-msg-list.
--- 568,574 ----
                                   (match-end 0)))
                             ;; Get the whole string for this appointment.
                             (appt-time-string
!                             (substring time-string beg end))
                             (appt-time (list (appt-convert-time only-time)))
                             (time-msg (list appt-time appt-time-string)))
                        ;; Add this appointment to appt-time-msg-list.